diff --git a/libraries/technology/ip_stratixiv/mac_10g/generate_ip.sh b/libraries/technology/ip_stratixiv/mac_10g/generate_ip.sh
new file mode 100755
index 0000000000000000000000000000000000000000..0e3e967c93bcac1ef34fb91aeb38a800dcf10f28
--- /dev/null
+++ b/libraries/technology/ip_stratixiv/mac_10g/generate_ip.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+# -------------------------------------------------------------------------- #
+#
+# Copyright (C) 2014                                                        
+# ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
+# JIVE (Joint Institute for VLBI in Europe) <http://www.jive.nl/>           
+# P.O.Box 2, 7990 AA Dwingeloo, The Netherlands                             
+#                                                                           
+# This program is free software: you can redistribute it and/or modify      
+# it under the terms of the GNU General Public License as published by      
+# the Free Software Foundation, either version 3 of the License, or         
+# (at your option) any later version.                                       
+#                                                                           
+# This program is distributed in the hope that it will be useful,           
+# but WITHOUT ANY WARRANTY; without even the implied warranty of            
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             
+# GNU General Public License for more details.                              
+#                                                                           
+# You should have received a copy of the GNU General Public License         
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.     
+#
+# -------------------------------------------------------------------------- #
+#
+# Purpose: Generate ip_stratixiv_mac_10g IP with MegaWizard
+# Description:
+#   Generate the phy_xaui IP in a separate generated/ subdirectory. Therefore first copy the MegaWizard variation file in the 'generated' output dir, because:
+#   1) setting the output dir is not an option in the MegaWizard
+#   2) The MegaWizard overwrites the variation file sometimes - we don't want that as it could be hand-modified with e.g. added generics
+#
+# Usage:
+#
+#   ./generate_ip.sh
+#
+#   The generated files for Quartus v11.1 that are needed for simulation and synthesis have been committed in SVN, so it is not necessary to run this
+#   generate_ip.sh script again. Files that are not needed have not been committed in SVN.
+#
+# Remarks:
+# . This dedicated script is Derived from the generic script $UNB/Firmware/software/build/unb_mgw
+#
+if ! [ -d "generated" ]; then
+    mkdir generated
+fi
+cd generated
+cp ../ip_stratixiv_mac_10g.vhd .
+
+qmegawiz -silent ip_stratixiv_mac_10g.vhd
+
+#rm ip_stratixiv_mac_10g.vhd
diff --git a/libraries/technology/ip_stratixiv/mac_10g/hdllib.cfg b/libraries/technology/ip_stratixiv/mac_10g/hdllib.cfg
new file mode 100644
index 0000000000000000000000000000000000000000..93c52dfd10a48fbca6769da826dde602f7ed75a9
--- /dev/null
+++ b/libraries/technology/ip_stratixiv/mac_10g/hdllib.cfg
@@ -0,0 +1,30 @@
+hdl_lib_name = ip_stratixiv_mac_10g
+hdl_library_clause_name = ip_stratixiv_mac_10g_lib
+hdl_lib_uses = common
+hdl_lib_technology = ip_stratixiv
+
+build_dir_sim = $HDL_BUILD_DIR
+build_dir_synth = $HDL_BUILD_DIR
+
+modelsim_compile_ip_files =
+    $RADIOHDL/libraries/technology/ip_stratixiv/mac_10g/compile_ip.tcl
+
+synth_files =
+    ip_stratixiv_mac_10g.vhd
+    
+test_bench_files = 
+
+modelsim_search_libraries =
+    altera_ver lpm_ver sgate_ver altera_mf_ver altera_lnsim_ver stratixiv_ver stratixiv_hssi_ver stratixiv_pcie_hip_ver
+    altera     lpm     sgate     altera_mf     altera_lnsim     stratixiv     stratixiv_hssi     stratixiv_pcie_hip
+
+modelsim_copy_files =
+    
+quartus_copy_files =
+    
+quartus_vhdl_files = 
+
+quartus_sdc_files = 
+
+quartus_qip_files =
+    generated/ip_stratixiv_mac_10g.qip